Katoolin, installer alle Kali Linux-værktøjer på Ubuntu

katolsk

Katoolins hovedmenu

Katoolin har været udviklet i Python og det er frit tilgængeligt på Github til Ubuntu eller Linux Mint. Udover installation af Kali linux-værktøjer tillader Katoolin også at installere dets arkiver, dens menu og en klassisk menu til Unity-brugere.

Mange brugere leder efter den bedste måde at installere Kali Linux-værktøjer på, som hver enkelt har brug for på en enkel måde og uden at skulle installere distributionen for at bruge dem. Som et operativsystem, der skal bruges dagligt, efterlader det efter min mening meget at ønske. Og tilfældigt stødte jeg på katolsk.

Mange mennesker downloader Kali linux og bruger ikke engang halvdelen af ​​dets værktøjer, så hvorfor ikke kun installere de værktøjer, vi har brug for? Katoolin er et installationsscript lavet af Lionsec. Dette viser værktøjerne efter kategorier og giver os mulighed for at vælge, hvilke der skal installeres i vores system på en enkel måde. Som det kan forventes, vil dette give os mulighed for at undgå at skulle kompilere en efter en, da det er for besværligt arbejde.

Hvad er Kali Linux?

For dem der ikke ved det endnu, er Kali Linux en distribution baseret på Debian GNU / Linux designet primært til revision og computersikkerhed generelt. Denne distribution opretholdes af Offensive Security Ltd. Dette team har udviklet distributionen fra omskrivningen af ​​BackTrack. Vi kunne overveje det som forgængeren til Kali Linux.

Det store aktiv ved Kali Linux er, at det bringer forudinstalleret mere end 600 programmer inklusive: Nmap (en havnescanner), Wireshark (en sniffer), John the Ripper (en adgangskodeknækker) og Aircrack-ng-pakken (software til sikkerhedstest i trådløse netværk) blandt mange andre.

Kali Linux kan bruges fra en Live CD, live-usb, og den kan også installeres som det primære operativsystem, selvom det som jeg allerede har sagt er meget tilrådeligt.

Installer Katoolin

For at installere Katoolin fra vores team fra GitHub skal vi bare åbne terminalen og tilføje følgende script til den:

sudo su
git clone https://github.com/LionSec/katoolin.git && cp katoolin/katoolin.py /usr/bin/katoolin
chmod +x /usr/bin/katoolin
sudo katoolin

Når det er installeret, starter vi scriptet med kommandoen:

sudo katoolin

Når applikationen er startet, får vi vist en liste med 5 muligheder. Men for at installere Kali Linux-værktøjerne på vores Ubuntu bruger vi kun de to første.

  1. Tilføj Kali Linux-opbevaringssteder, og opdater listen over opbevaringssteder.
  2. Se værktøjskategorierne.
  3. Installer "classicmenu-indikator".
  4. Installer Kali Linux-menu.
  5. Det viser os de kommandoer, vi kan bruge under udførelsen af ​​scriptet.

Installer Kali Linux-værktøjer

For at installere Kali linux-værktøjer skal du først tilføje deres arkiver. Før du fortsætter med lageropdateringen, er det tilrådeligt at se på sources.list for at undgå dobbeltarbejde, hvilket medfører problemer under opdateringen.

Valgmuligheder på Katoolin-arkiver

Katoolin-arkivindstillinger

Når vi har verificeret, at der ikke er nogen duplikering af arkiver, starter vi med mulighed "1". Inden for dette er andre muligheder, der giver os mulighed for at tilføje Kali Linux-arkiver til vores Sourcers.list. På det næste skærmbillede vælger vi mulighed 1 igen.

Vi fortsætter installationen ved at opdatere arkiverne i vores system ved at vælge mulighed 2, som med få ord gør en “sudo apt-get update”. Vi ser i konsollen, hvordan arkiverne opdateres.

Hvis alt går godt, skriver vi "tilbage" for at vende tilbage til den forrige skærm. I det skal vi vælge mulighed "2" for at vise os kategorierne af de tilgængelige værktøjer.

Når vi er her, kan vi installere alle de værktøjer, der er inkluderet i alle kategorier ved at trykke på "0". Eller vi kan vælge en kategori for derefter at vælge de værktøjer, vi vil installere.

Katoolins kategorier

Katoolins kategorier

Inden for en kategori kan vi trykke på "0" for at installere alle de værktøjer, der er inkluderet i den valgte kategori. Vi kan også skrive nummeret på det værktøj, som vi er interesseret i at installere.

Når operationerne er afsluttet, skal vi kun afslutte scriptet. Nu kan vi se, at vi allerede har Kali Linux-værktøjer i vores Ubuntu.


Indholdet af artiklen overholder vores principper for redaktionel etik. Klik på for at rapportere en fejl her.

19 kommentarer, lad dine

Efterlad din kommentar

Din e-mailadresse vil ikke blive offentliggjort.

*

*

  1. Ansvarlig for dataene: Miguel Ángel Gatón
  2. Formålet med dataene: Control SPAM, management af kommentarer.
  3. Legitimering: Dit samtykke
  4. Kommunikation af dataene: Dataene vil ikke blive kommunikeret til tredjemand, undtagen ved juridisk forpligtelse.
  5. Datalagring: Database hostet af Occentus Networks (EU)
  6. Rettigheder: Du kan til enhver tid begrænse, gendanne og slette dine oplysninger.

  1.   Chus M-dh sagde han

    Jeg gik tilbage til 17.04 for at installere det, men først havde jeg nogle problemer. Så havde jeg mere, og jeg gik tilbage til 16.04 LTS (jeg troede, det ville være mere pålidelig), hvad betyder det, det første der skete er, at jeg mistede søgemaskinen, ikonerne, den i launcheren. Så fortsatte han med at sige "Undskyld, Ubuntu har oplevet en intern fejl", og der kommer interne fejl. Systemet brød helt sammen, og efter lang tid måtte jeg lade det være umuligt. Linux er et ustabilt operativsystem, du skal altid være på udkig efter løsninger i browseren, altid med opdateringer. Der er mange distroer, mange versioner, når noget fungerer, fjerner de det og lægger ting, der ikke fungerer. Det er en katastrofe. Du arbejder altid for systemet og ikke omvendt, som det skal være. Vi får se, om jeg nogensinde kan få det stabilt. Eller geninstaller det.

    1.    Daniel saliner sagde han

      Jeg forstår, at alt operativsystem er opdateret

      1.    ChocopandaAvngr sagde han

        Systemer med fokus på slutbrugere, der har linux-kernen implementeret, er generelt meget solide og stabile, men det er brugeren, der gør det ustabilt ved at gøre dumme ting, de læser på internettet (som i güinbug $)

    2.    Aragorn-Seiya Miyazaki sagde han

      Måske var det en fejl i installationen, eller du flyttede ting, som du ikke burde have, ikonerne eller søgemaskinen forsvinder ikke sådan. Jeg har været i Ubuntu i næsten 3 år, og det har aldrig givet mig en alvorlig fejl, de små fejl, der vises, er dem, som ethvert andet operativsystem giver, kun at de i andre som Windows undertiden ikke engang advarer dig: På på den anden side tror jeg, at hvis du vil bruge Linux, skal du bruge lidt tid på at lære at bruge det, men jeg synes det er værd at gøre.

    3.    Rodrigo Heredia sagde han

      Jeg har opdateret fra 12.04, i dag har jeg 16.04, og jeg har ingen stabilitetsproblemer, og jeg overklokker processoren.

    4.    Josinux sagde han

      Det faktum, at du ikke kan lide det, eller at det ikke går godt, betyder ikke, at det er et dårligt operativsystem og maxime taler om en lts, ​​jeg har xubuntu 16.04, da det kom ud, og computeren flyver mig direkte og jeg har aldrig haft et eneste problem, og jeg kender en Linux-bruger, der har installeret xubuntu på sin pc siden ikke mindre end 2012, han har 14.04, hvilket også er lts og aldrig siden 2012 er det sagt godt, han har ikke haft et eneste problem Jeg tror, ​​du hellere ikke har nogen idé, og du ødelægger det.

  2.   Inukaze sagde han

    Forhåbentlig stopper forfatterne af disse blogs med at placere titler, der får slutbrugerne til at tro, at distributionerne er helt forskellige operativsystemer.

    Man kan installere ethvert Liñux-værktøj på enhver Liñux-distribution.

    Hvis du ved, hvad du laver, kan du endda installere apt og pacman i Fedora og bruge det uden besvær eller bruge "AppStore" til "Deepin" i Slackware eller OpenSuSE.

    Men alligevel er manuel kompilering altid bedre end prækompilerede, medmindre manuel kompilering mislykkes.

    Fordi jeg endda kan dele en DOSBox 0.74, der kompileres i Slackware 11.0, og den fungerer i enhver distribution, så den er i "Live" -tilstand, så længe den har et grafisk miljø, selvom det er minimalistisk.

    1.    Damian Amoedo sagde han

      Hvis nogen har troet, at distributionerne er helt forskellige operativsystemer, har de ikke læst resten af ​​artiklen. Første store fejltagelse.

      Det er klart, at enhver bruger kan installere et værktøj på enhver Linux-distribution med tålmodighed (i nogle tilfælde kan de blive oprørske). Men glem ikke, at "ikke alle er fødte lærte." Ikke alle brugere har færdighederne til at gøre dette, så et prækompileret applikationsscript som dette er en måde for flere lægbrugere at teste bestemte applikationer, som de kunne drage fordel af. Og hvis de kan lide dem, har de altid tid til at lære. Alt er et spørgsmål om tid for at få ting, selvom ikke alle har det. At læse de fulde artikler, før man danner sig en mening, er et godt udgangspunkt.

      Jeg må indrømme, at hvis der er noget, hvor jeg er enig med dig. Den manuelle kompilering af applikationerne er den bedste løsning til en installation i sandhedens øjeblik, men dette er allerede et spørgsmål om alles smag.

      Greetings.

  3.   Elphist0n sagde han

    Godmorgen, jeg har et spørgsmål.
    Hvorfor anbefales det ikke at bruge Kali som det primære operativsystem?

    1.    Damian Amoedo sagde han

      Det jeg siger er ikke tilrådeligt, for efter min smag og efter at have brugt det på en computer som det primære operativsystem, virkede det lidt ustabilt. Men det er en personlig forståelse, prøv det og træk dine egne konklusioner. Vær hilset.

  4.   Bilag sagde han

    Problemet er opbevaringsstederne, tilføjelse af opbevaringsstederne opdaterer OS til Kali og skaber konflikter, bare tilføj ikke opbevaringsstederne, og det fungerer korrekt, jeg testede det bare i Ubuntu 17.04

    1.    Emmanuel sagde han

      Let: Når du ikke længere bruger Kali-værktøjerne, skal du deaktivere arkiverne ved at kommentere deres respektive linje i nano /etc/apt/sources.list, og på denne måde vil systemet ikke komme i konflikt, når du foretager en apt-get-opdatering.

      Greetings.

  5.   fortesk sagde han

    når jeg udfører 2. installationskommando, får jeg dette: bash: syntaktisk fejl nær uventet element `; & '

    1.    Damien Amoedo sagde han

      Hej. Prøv at skrive: git clone https://github.com/LionSec/katoolin.git && cp katoolin/katoolin.py /usr/bin/katoolin

  6.   Miguel sagde han

    A> apt install git mangler, hvis du ikke har git installeret.

  7.   Oscar sagde han

    Hej,

    Jeg har forsøgt at installere værktøjerne efter tilføjelse og opdatering af arkiverne, og det giver mig en hel del fejl:

    Læsepakke liste ... Udført
    Oprettelse af afhængighedstræ
    Læsning af statusoplysninger ... Udført
    Gqrx-pakken er ikke tilgængelig, men nogle andre pakkehenvisninger
    til. Dette kan betyde, at pakken mangler, er forældet eller kun
    tilgængelig fra en anden kilde
    Følgende pakker erstatter dog den:
    gqrx-sdr: i386 gqrx-sdr

    E: Acccheck-pakken kunne ikke findes
    E: Automater-pakken kunne ikke findes
    E: Dnmap-pakken kunne ikke findes
    E: Ghost-phisher-pakken kunne ikke findes
    E: Maltego-tænderpakken kunne ikke findes
    E: Mirandapakken kunne ikke findes
    E: Sslcaudit-pakken kunne ikke findes
    E: Wol-e-pakken kunne ikke findes
    E: Hexorbase-pakken kunne ikke findes
    E: Powerfuzzer-pakken kunne ikke findes
    E: Ghost-phisher-pakken kunne ikke findes
    E: Giskismet-pakken kunne ikke findes
    E: "gqrx" -pakken har ikke en kandidat til installation
    E: Wifitap-pakken kunne ikke findes
    E: Blindfiskpakken kunne ikke findes
    E: Deblaze-pakken kunne ikke findes
    E: fimap-pakken kunne ikke findes
    E: Gribepakken kunne ikke findes
    E: Maltego-tænderpakken kunne ikke findes
    E: Powerfuzzer-pakken kunne ikke findes
    E: Proxystrike-pakken kunne ikke findes
    E: Ua-testerpakken kunne ikke findes
    E: Vegapakken kunne ikke findes
    E: http-tunnelpakken kunne ikke findes
    E: Den krydsende pakke kunne ikke findes
    E: U3-pwn-pakken kunne ikke findes
    E: Magictree-pakken kunne ikke findes
    E: Maltego-tænderpakken kunne ikke findes
    E: Pakken til iphone-backup-analysator kunne ikke findes
    E: Pdgmail-pakken kunne ikke findes
    E: Acccheck-pakken kunne ikke findes
    E: creddump-pakken kunne ikke findes
    E: Findmyhash-pakken kunne ikke findes
    E: Hexorbase-pakken kunne ikke findes
    E: Keimpx-pakken kunne ikke findes
    E: Maltego-tænderpakken kunne ikke findes
    E: Jad-pakken kunne ikke findes

    Eventuelle tip til, hvordan man fortsætter? Jeg har prøvet at opdatere pakker, rense, regenerere source.list ... uden succes.

    Tak.

  8.   ANONYMOUS sagde han

    hvor opbevares det?

  9.   Messias Torres sagde han

    EU ESTOU 3 DAGE BAIXANDO FLERE VERÇÕES DE TESTE DO KALI LINUX ALL OG DE ESTALAÇÃO NO SYSTEM NÃO ACHA A VERÇÃO DER HAR ET OPÇÃO DE STALL LIVE LIVE SYSTEM FOR TESTE SÅ DET SKAL IKKE VÆRE HER, ESSE SÅ MANGE PALAVR ELLER KALI LINUX SYSTEM TESTE E SE GOSTARMOS FAZER ESTALÇAO DIRETO DO SISTEMA NA MACHINA, DEVE TER UMA FACILITAÇÃO DE ESTALAÇÃO DO SISTEMA

  10.   John sagde han

    dette gjorde mig meget nyttig